Uploaded image for project: 'Ambari'
  1. Ambari
  2. AMBARI-22031

Invalid error message on UI after performing downgrade - Before finalizing the upgrade

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Critical
    • Resolution: Not A Problem
    • Affects Version/s: 2.6.0
    • Fix Version/s: 2.6.0
    • Component/s: ambari-upgrade
    • Labels:
    • Environment:


      ambari-server --version 2.6.0.0-128

      Description

      Invalid error message is shown on the UI when user performs downgrade from mid point.
      Live cluster : http://172.22.83.55:8080/
      Steps to reproduce :
      1) Install ambari 2.6.0.0 with HDP-2.6.3.0 (Error could be seen on all the HDP versions)
      2) Start the patch upgrade for Hive or storm. (I guess this issue will occur for all the services which asks user to perform manual steps and provides the option to do downgrade.)
      3) In the second step when user is asked to perform manual steps, option is available to do downgrade. Click on downgrade.(Attaching the screenshot)
      4) Downgrade completes successfully. But error message 'Upgrade Action Required' is still shown on the UI. (Attaching the screenshot)
      Workaround : Cluster looks good and error message is removed after performing ambari-server restart

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              ssharma@hortonworks.com Supreeth Sharma
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: